<?php
if ( ! function_exists( 'mega_blog_pro_posts_ajax_handler' ) ) :
 
    function mega_blog_pro_posts_ajax_handler(){
        $blog_count = 4;
        $options = mega_blog_pro_get_theme_options();
        $page = isset( $_POST['LBpageNumber'] ) ? absint( wp_unslash( $_POST['LBpageNumber'] ) ) : 1;
        header("Content-Type: text/html");

        // Content type.
        $recent_content_type  = $options['recent_content_type'];
        $recent_count         = ! empty( $options['recent_count'] ) ? $options['recent_count'] : 5;
        $content = array();
        switch ( $recent_content_type ) {
        	
            case 'category':
                $cat_id = ! empty( $options['recent_content_category'] ) ? $options['recent_content_category'] : '';
                $args = array(
                    'post_type'             => 'post',
                    'posts_per_page'        => absint( $recent_count ),
                    'cat'                   => absint( $cat_id ),
                    'ignore_sticky_posts'   => true,
                    'post_status'           => array( 'publish' ),
                    'paged'                 => $page,
                    );                    
            break;


            case 'recent':
                $cat_ids = ! empty( $options['recent_exclude_category'] ) ? ( array ) $options['recent_exclude_category'] : array();
                
                $args = array(
                    'post_type'             => 'post',
                    'posts_per_page'        => absint( $recent_count ),
                    'ignore_sticky_posts'   => true,
                    'category__not_in'      => ( array ) $cat_ids,
                    'post_status'           => array( 'publish' ),
                    'paged'                 => $page,
                    );                    
            break;

            default:
            break;
        }


            $i = 1;
            // Run The Loop.
            $query = new WP_Query( $args );
            if ( $query->have_posts() ) : 
                while ( $query->have_posts() ) : $query->the_post();
                    $img_size               = ( $i%3 == 0 ) ? 'full' : 'post-thumbnail';
                    $page_post['id']        = get_the_id();
                    $page_post['title']     = get_the_title();
                    $page_post['url']       = get_the_permalink();
                    $page_post['excerpt']   = ( $i%3 == 0 ) ? mega_blog_pro_trim_content( 100 ) : get_the_excerpt();
                    $page_post['image']  	= has_post_thumbnail() ? get_the_post_thumbnail_url( get_the_id(), $img_size ) : '';
                    $page_post['author']    = mega_blog_pro_author();

                    // Push to the main array.
                    array_push( $content, $page_post );
                    $i++;
                endwhile;
            endif;
            wp_reset_postdata();

            
        if ( ! empty( $content ) ) {
            $input = $content;
        }
        // return $input;


        $i = 1;
        foreach ( $input as $content ) : ?>
        	<article class="hentry<?php echo ( $i%3 == 0 ) ? ' full-width' : ''; ?>">
        		<div class="post-wrapper">
        			<div class="entry-container">
        				<header class="entry-header">
        					<?php mega_blog_pro_posted_on( $content['id'] ); ?>

        					<h2 class="entry-title"><a href="<?php echo esc_url( $content['url'] ); ?>"><?php echo esc_html( $content['title'] ); ?></a></h2>
        				</header>

        				<div class="entry-content">
        					<?php echo wp_kses_post( $content['excerpt'] ); ?>
        				</div><!-- .entry-content -->

        				<div class="entry-meta">
        					<?php echo wp_kses_post( mega_blog_pro_article_footer_meta( $content['id'], $content['author'] ) ); ?>
        				</div><!-- .entry-meta -->
        			</div><!-- .entry-container -->

        			<?php if ( ! empty( $content['image'] ) ) : ?>
        				<div class="featured-image">
        					<a href="<?php echo esc_url( $content['url'] ); ?>"><img src="<?php echo esc_url( $content['image'] ); ?>" alt="<?php echo esc_attr( $content['title'] ); ?>"></a>
        				</div><!-- .featured-image -->
        			<?php endif; ?>
        		</div><!-- .post-wrapper -->
        	</article>
        	<?php $i++;
        endforeach;
        ?>
        <?php die();
    }
endif;
add_action("wp_ajax_mega_blog_pro_posts_ajax_handler", "mega_blog_pro_posts_ajax_handler");
add_action("wp_ajax_nopriv_mega_blog_pro_posts_ajax_handler", "mega_blog_pro_posts_ajax_handler");