<?php
/**
 * Instagram Section options
 *
 * @package Theme Palace
 * @subpackage Mega Blog Pro
 * @since Mega Blog Pro 1.0.0
 */

// Instagram section
$wp_customize->add_section('mega_blog_pro_instagram_section',
	array(
		'title'         => esc_html__( 'Instagram', 'mega-blog-pro' ),
		'description'   => sprintf( esc_html__( '%1$s Smash Balloon Social Photo Feed %2$s should be active and site should be connected to instagram account for this section to work.', 'mega-blog-pro' ), '<a target="_blank" href="https://wordpress.org/plugins/instagram-feed/">', '</a>' ),
		'panel'         => 'mega_blog_pro_front_page_panel',
	)
);

// Instagram enable setting
$wp_customize->add_setting('mega_blog_pro_theme_options[instagram_section_enable]',
    array(
        'sanitize_callback' => 'mega_blog_pro_sanitize_switch_control',
        'default'           => $options['instagram_section_enable'],
    )
);

$wp_customize->add_control( new Mega_Blog_Pro_Switch_Control($wp_customize,
    'mega_blog_pro_theme_options[instagram_section_enable]',
        array(
            'section'		=> 'mega_blog_pro_instagram_section',
            'label'			=> esc_html__( 'Enable instagram.', 'mega-blog-pro' ),
            'on_off_label'  => mega_blog_pro_switch_options(),
        )
    )
);

// Instagram title setting
$wp_customize->add_setting('mega_blog_pro_theme_options[instagram_section_title]',
    array(
        'sanitize_callback' => 'sanitize_text_field',
        'default'           => $options['instagram_section_title'],
        'transport'	        => 'postMessage',
    )
);

$wp_customize->add_control('mega_blog_pro_theme_options[instagram_section_title]',
    array(
        'section'		    => 'mega_blog_pro_instagram_section',
        'label'			    => esc_html__( 'Section Title:', 'mega-blog-pro' ),
        'active_callback'   => 'mega_blog_pro_is_instagram_section_enable',
        'type'              =>'text'
    )
);

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'mega_blog_pro_theme_options[instagram_section_title]',
		array(
			'selector'            => '#mega_blog_pro_instagram_section h2.section-title',
			'settings'            => 'mega_blog_pro_theme_options[instagram_section_title]',
			'fallback_refresh'    => true,
			'container_inclusive' => false,
			'render_callback'     => 'mega_blog_pro_instagram_section_title_partial',
		) 
	);
}

// Subscribe button text setting
$wp_customize->add_setting('mega_blog_pro_theme_options[instagram_section_shortcode]',
    array(
        'sanitize_callback' => 'sanitize_text_field',
        'default'           => $options['instagram_section_shortcode'],
    )
);

$wp_customize->add_control('mega_blog_pro_theme_options[instagram_section_shortcode]',
    array(
        'section'		    => 'mega_blog_pro_instagram_section',
        'label'			    => esc_html__( 'Shortcode:', 'mega-blog-pro' ),
        'active_callback'   => 'mega_blog_pro_is_instagram_section_enable',
        'type'              =>'textarea'

    )
);
    
