<?php
/**
 * Subscription section
 *
 * This is the template for the content of instagram section
 *
 * @package Theme Palace
 * @subpackage Mega Blog Pro
 * @since Mega Blog Pro 1.0.0
 */
if ( ! function_exists( 'mega_blog_pro_add_instagram_section' ) ) :
    /**
    * Add instagram section
    *
    *@since Mega Blog Pro 1.0.0
    */
    function mega_blog_pro_add_instagram_section() {
        $options = mega_blog_pro_get_theme_options();

        // Check if instagram is enabled on frontpage
        $instagram_enable = apply_filters( 'mega_blog_pro_section_status', true, 'instagram_section_enable' );

        if ( true !== $instagram_enable ) {
            return false;
        }
        // Render instagram section now.
        mega_blog_pro_render_instagram_section();
    }
endif;

if ( ! function_exists( 'mega_blog_pro_render_instagram_section' ) ) :
  /**
   * Start instagram section
   *
   * @return string instagram content
   * @since Mega Blog Pro 1.0.0
   *
   */
   function mega_blog_pro_render_instagram_section() {
        $options = mega_blog_pro_get_theme_options(); 
        $active_plugins = (array) get_option( 'active_plugins', array() );
        if (!in_array( 'instagram-feed/instagram-feed.php', $active_plugins ) ) {
            return;
        } ?>
        <div id="mega_blog_pro_instagram_section" class="relative page-section same-background">
            <div class="wrapper">
                <div class="section-header align-center add-separator">
                    <h2 class="section-title"><?php echo esc_html($options['instagram_section_title']); ?></h2>
                </div><!-- .section-header -->

                <?php echo do_shortcode( wp_kses_post( $options['instagram_section_shortcode'] ) ); ?>
            </div><!-- .wrapper -->
        </div><!-- #mega_blog_pro_instagram_section -->
        
    <?php
    }
endif; ?>
